OMV uninstalled itself!!

  • Something bad happened last night, I had a lot of updates waiting and upon trying to install I got held packages, I wittled the selection down to the packages that would install with no errors and it seems fine, I went back in to the update screen and saw OMV had another update .80 I believe, this would not install so I used the apt clean button in extras and then saw it changed to .81 as an install candidate, this would not install from the GUI so I SSH in and ran omv-update, BAD MOVE!!!!!!
    it uninstalled OMV and ALL associated software :thumbdown:
    Now I try to apt-get install openmediavault it complains about php5 not being installed, It has literally uninstalled itself, any ideas on a recovery step ?


    Sent from my UMI SUPER using Tapatalk

  • Having stable in your sources.list means your machine upgraded to Debian 9 Stretch when you did the omv-update. You will need a backup to recover from this because OMV 3.x will not work on Debian 9.

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Code
    this is with stable
    The following packages have unmet dependencies:
    openmediavault : Depends: php5-fpm but it is not installable
    Depends: php5-cgi but it is not installable
    Depends: php5-cli (>= 5.6) but it is not installable
    Depends: php5-pam but it is not going to be installed
    Depends: openssh-blacklist-extra but it is not installable

    ~ $ uname -mrs
    Linux 4.9.0-0.bpo.3-amd64 x86_64

  • Having stable in your sources.list means your machine upgraded to Debian 9 Stretch when you did the omv-update. You will need a backup to recover from this because OMV 3.x will not work on Debian 9.

    ahh..... well thats not going to happen, i only crashplan my data.
    never mind, thanks

  • If Stretch is installed, you can't re-install the openmediavault package. It depends on php5 versioned packages and php7 is what stretch uses.

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • So, its nearly fixed....


    i got php5 installed following these instructions Install PHP5 on stretch but i cant login to the web ui and i am getting some rrdcache errors in the syslog and also collectd not started.
    needs more investigation later..



    Bash
    Error #0:
    exception 'OMV\Rpc\Exception' with message 'Failed to connect to socket: No such file or directory' in /usr/share/php/openmediavault/rpc/rpc.inc:140
    Stack trace:
    #0 /var/www/openmediavault/rpc/session.inc(56): OMV\Rpc\Rpc::call('UserMgmt', 'authUser', Array, Array, 2, true)
    #1 [internal function]: OMVRpcServiceSession->login(Array, Array)
    #2 /usr/share/php/openmediavault/rpc/serviceabstract.inc(124): call_user_func_array(Array, Array)
    #3 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('login', Array, Array)
    #4 /usr/share/php/openmediavault/rpc/proxy/json.inc(95): OMV\Rpc\Rpc::call('Session', 'login', Array, Array, 3)
    #5 /var/www/openmediavault/rpc.php(45): OMV\Rpc\Proxy\Json->handle()
    #6 {main}
  • So even tho it's now installed it still won't work ?


    I thought it was only dependant on php5 versioned packages which I now have installed

    The main developer puts a lots of effort coding this software. Plugins developers also. Please understand this, the os platform has be only one otherwise the support will drive developers insane. Please disconnect all your data drives and reinstall. stop wasting your time trying to make this work.

  • I completely understand, but a full reinstalling was exactly what I was hoping not to do.
    I run all my apps in docker but not through OMV as I have had other issues in the past where I had to reinstall and lose all my config.
    I won't be reinstalling.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!